Summary:       Free Music Instrument Tuner
Name:          fmit
Version:       0.98.1
Release:       1%{?dist}
License:       GPLv2+
Group:         Applications/Multimedia
URL:           http://home.gna.org/fmit/index.html
Source0:       http://download.gna.org/fmit/%{name}-%{version}-Source.tar.bz2
Source1:       %{name}.png
# Fixes CaptureThreadImplJACK.cpp:167:
# undefined reference to `jack_error_callback'
# Issue is also mentioned in the TODO p.3.
# Patch sent upstream.
Patch0:        %{name}-jack-error-callback.patch
BuildRequires: cmake
BuildRequires: qt3-devel
BuildRequires: freeglut-devel
BuildRequires: libXi-devel
BuildRequires: libXmu-devel
BuildRequires: fftw3-devel
BuildRequires: alsa-lib-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: portaudio-devel
BuildRequires: desktop-file-utils


%description
%{name} is a graphical utility for tuning musical instruments, with
error and volume history and advanced features like waveform shape,
harmonics ratio (formants), and micro-tonal tuning.


%prep
%setup -q -n %{name}-%{version}-Source
%patch0 -p1 -b .jack-error-callback
sed -i 's/^Icon.*/Icon=fmit/g' %{name}.desktop
sed -i 's/^Name.*/Name=Music Instrument Tuner/g' %{name}.desktop
sed -i 's/^Comment.*/Comment=Tunes music instruments/g' %{name}.desktop
# Removes the following warning:
# key "Categories" is a list and does not have a semicolon
# as trailing character, fixing
sed -i 's/\(^Categories.*\)/\1;/g' %{name}.desktop


%build
%cmake -DSOUNDSYSTEM_USE_PORTAUDIO=ON -DBUILD_SHARED_LIBS=OFF


%install
make install DESTDIR=%{buildroot}
install -D -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png
desktop-file-install \
    --delete-original \
    --add-category=Audio \
    --dir=%{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/mimelnk/application/%{name}.desktop


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog TODO README.txt
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/tr
%{_datadir}/%{name}/tr/%{name}_de.ts
%{_datadir}/%{name}/tr/%{name}_fr.ts
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Mon Dec 28 2010 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.98.1-1
- initial RPM release.
